package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Builder class for input type Option and Options
 * ({@link InputType#OPTION} and {@link InputType#OPTIONS}).
 */
public class OptionInputBuilder extends AbstractInputBuilder<OptionInputBuilder,Object> {

    private List<String> options;

    public OptionInputBuilder(InputBuilderContext builderContext, InputType type, String paramName) {
        super(builderContext, type, paramName);
    }

    public OptionInputBuilder setOptions(List<String> options) {
        this.options = options;
        cp.setValueOptions(options);
        return this;
    }

    public OptionInputBuilder addOption(String option) {
        if(options == null) {
            options = new ArrayList<>();
        }
        options.add(option);
        cp.setValueOptions(options);
        return this;
    }

    public OptionInputBuilder setLabels(Map<String,Object> labels) {
        if(cp != null && labels != null && !labels.isEmpty()) {
            cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_LABELS, labels);
        }
        return this;
    }

}
